create_group

Modeler3D.create_group(objects=None, components=None, groups=None, group_name=None)

Group objects or groups into one group.

At least one between objects, components, groups has to be defined.

Parameters
objectslist, optional

List of objects. The default is None, in which case a group with all objects is created.

componentslist, optional

List of 3d components to group. The default is None.

groupslist, optional

List of groups. The default is None.

group_namestr, optional

Name of the new group. The default is None. It is not possible to choose the name but a name is assigned automatically.

Returns
str

Name assigned to the new group.

References

>>> oEditor.CreateGroup